slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNInitializePackage

This function initializes everything in the FN package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to FNCreate() when using static libraries.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNInitializePackage(void)

### See Also

SlepcInitialize()

### Level

developer

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages